try-emacs-mua: Trim `require' advice for Emacs 25